org.codehaus.groovy.plugin

## Interface GroovyRunner

All Known Implementing Classes:
  TestNgRunner

    public interface GroovyRunner

Classes which can run scripts should implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canRun(java.lang.Class scriptClass, GroovyClassLoader loader)`
`java.lang.Object` `run(java.lang.Class scriptClass, GroovyClassLoader loader)`

### Method Detail

#### canRun

    boolean canRun(java.lang.Class scriptClass,
                   GroovyClassLoader loader)

#### run

    java.lang.Object run(java.lang.Class scriptClass,
                         GroovyClassLoader loader)